#
# Conditional build:
%bcond_without	tests	# do not perform "./Build test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Log
%define		pnam	Dispatch
Summary:	Log::Dispatch Perl module - dispatches messages to multiple Log::Dispatch::* objects
Summary(pl.UTF-8):	Moduł Perla Log::Dispatch - wysyłanie komunikatów do wielu obiektów Log::Dispatch::*
Name:		perl-Log-Dispatch
Version:	2.41
Release:	1
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Log/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	85a384db37c7fe4e5db90c0bbc376da2
URL:		http://search.cpan.org/dist/Log-Dispatch/
BuildRequires:	perl-Module-Build >= 0.20
BuildRequires:	perl-Params-Validate >= 0.15
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# optional
%define		_noautoreq	'perl(Apache::Log)' 'perl(MIME::Lite)' 'perl(Mail::Send)' 'perl(Mail::Sender)' 'perl(Mail::Sendmail)'

%description
Log::Dispatch is a suite of OO modules for logging messages to
multiple outputs, each of which can have a minimum and maximum log
level. It is designed to be easily subclassed, both for creating a new
dispatcher object and particularly for creating new outputs.

%description -l pl.UTF-8
Log::Dispatch to zestaw obiektowo zorientowanych modułów do logowania
komunikatów na wiele wyjść, z których każde może mieć podany minimalny
i maksymalny poziom logowania. Pakiet ten został zaprojektowany tak,
by łatwo można było stworzyć klasy potomne, w celu tworzenia nowych
obiektów wysyłających, jak i (szczególnie) nowych wyjść.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	installdirs=vendor \
	destdir=$RPM_BUILD_ROOT
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Log/*.pm
%{perl_vendorlib}/Log/Dispatch
%{_mandir}/man3/*
%changelog
* Thu Oct 10 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Log-Dispatch.git;a=log;h=master

* Wed Oct 09 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 939b54f
- up to 2.41

* Fri Jan 13 2012 zbyniu <zbyniu@pld-linux.org> 0204c52
- up to 2.29

* Tue Oct 20 2009 amateja <amateja@pld-linux.org> 8b2bf00
- updated to 2.26

* Mon Sep 14 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 9a4350c
- up to 2.24

* Mon Dec 01 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> f072af5
- up to 2.22

* Wed Apr 02 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 5af4226
- up to 2.21

* Mon Dec 24 2007 Jakub Bogusz <qboosh@pld-linux.org> 3d6d4cd
- generic URL

* Mon Dec 24 2007 zbyniu <zbyniu@pld-linux.org> c9b9d85
- up to 2.20

* Tue Sep 11 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 2ccaa44
- up to 2.18

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 6d0b8c5
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> ca6a146
- converted to UTF-8

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 00b10aa
- formatting

* Sat Jun 05 2004 radek <radek@pld-linux.org> 3b144bd
- massive: unfold macros in name/summary & other unifications

* Fri May 07 2004 ankry <ankry@pld-linux.org> b9a07c4
- rel. 2

* Thu May 06 2004 ankry <ankry@pld-linux.org> 058ce6d
- fixed perl-devel BR

* Thu Apr 22 2004 ankry <ankry@pld-linux.org> 2d4097a
- license fixes and unification

* Wed Apr 14 2004 ankry <ankry@pld-linux.org> c6d4828
- cosmetics, unification

* Sat Mar 06 2004 Adam Gołębiowski <adamg@pld-linux.org> 6358254
- updated to 2.10

* Sun Dec 07 2003 migo <migo@pld-linux.org> 5987ef3
- up to 2.08, new bcond style

* Mon Sep 29 2003 migo <migo@pld-linux.org> f625d84
- up to 2.07

